## WebKitDOMPerformance WebKitDOMPerformance |

## Functions

gdouble | webkit_dom_performance_now ()
WebKitDOMPerformanceNavigation * | webkit_dom_performance_get_navigation ()
WebKitDOMPerformanceTiming * | webkit_dom_performance_get_timing ()
void * | webkit_dom_performance_get_memory ()

## Properties

WebKitDOMPerformanceNavigation * | navigation | Read
WebKitDOMPerformanceTiming * | timing | Read

## Types and Values

| WebKitDOMPerformance

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMPerformance

## Implemented Interfaces

WebKitDOMPerformance implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_performance_now ()

    gdouble
    webkit_dom_performance_now (WebKitDOMPerformance *self);

#### Parameters

self | A WebKitDOMPerformance |

#### Returns

A gdouble

### webkit_dom_performance_get_navigation ()

    WebKitDOMPerformanceNavigation *
    webkit_dom_performance_get_navigation (WebKitDOMPerformance *self);

#### Parameters

self | A WebKitDOMPerformance |

#### Returns

A WebKitDOMPerformanceNavigation.

[transfer none]

### webkit_dom_performance_get_timing ()

    WebKitDOMPerformanceTiming *
    webkit_dom_performance_get_timing (WebKitDOMPerformance *self);

#### Parameters

self | A WebKitDOMPerformance |

#### Returns

A WebKitDOMPerformanceTiming.

[transfer none]

### webkit_dom_performance_get_memory ()

    void *
    webkit_dom_performance_get_memory (WebKitDOMPerformance *self);

`webkit_dom_performance_get_memory` is deprecated and should not be used in newly-written code.

#### Returns

## Types and Values

### WebKitDOMPerformance

    typedef struct _WebKitDOMPerformance WebKitDOMPerformance;

## Property Details

### The `“navigation”` property

      “navigation”               WebKitDOMPerformanceNavigation *

read-only WebKitDOMPerformanceNavigation* Performance:navigation.

Flags: Read

### The `“timing”` property

      “timing”                   WebKitDOMPerformanceTiming *

read-only WebKitDOMPerformanceTiming* Performance:timing.

Flags: Read